Bug 61060 - Freeze and unfreeze don't modify document
Summary: Freeze and unfreeze don't modify document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other All
: low minor
Assignee: Not Assigned
QA Contact: Joel Madero
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
: 33688 50129 56000 62000 64706 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-18 12:23 UTC by Urmas
Modified: 2015-12-16 00:08 UTC (History)
26 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2013-02-18 12:23:01 UTC
Freezing and unfreezing scroll panes doesn't mark the document as modified.
Comment 1 Joel Madero 2013-02-18 19:11:57 UTC
Same with 3.6.4.3 - changing version to reflect this.

Bodhi Linux

Would be nice to be able to save the window freeze settings. If you do file -> save as it works so it definitely is just the modified boolean that isn't being ticked.


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Marking as:
New (confirmed)
Minor (we tend to use trivial only for things like labels and really simple thing that don't impact work at all, this could potentially impact work so marking as MINOR)
Low (quite easy to fix I think and quite useful but a minor bug none the less)

ProposedEasyHack
Comment 2 Urmas 2013-03-03 15:45:30 UTC
*** Bug 56000 has been marked as a duplicate of this bug. ***
Comment 3 Michael Meeks 2013-04-03 13:25:43 UTC
The code change should be ~trivial.

Poke at:

void ScTabView::FreezeSplitters( bool bFreeze )

in sc/source/ui/view/tabview.cxx

And IFF the splitter status changes, then we need to mark the document modified:

Then I guess we need to somehow call:

pDocSh->SetDocumentModified()

And we should be done.
Comment 4 Commit Notification 2013-04-29 07:08:15 UTC
Sameer Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7653d041792a878dc2f304e77f36da78588adaa5

fdo#61060 - Freezing now marks spreadsheet as unsaved.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 bfoman (inactive) 2013-05-06 21:31:01 UTC
*** Bug 33688 has been marked as a duplicate of this bug. ***
Comment 6 bfoman (inactive) 2013-05-06 21:31:46 UTC
*** Bug 62000 has been marked as a duplicate of this bug. ***
Comment 7 bfoman (inactive) 2013-05-06 21:42:08 UTC
*** Bug 50129 has been marked as a duplicate of this bug. ***
Comment 8 ign_christian 2013-05-09 08:53:43 UTC
*** Bug 63224 has been marked as a duplicate of this bug. ***
Comment 9 ign_christian 2013-05-09 08:56:25 UTC
*** Bug 63103 has been marked as a duplicate of this bug. ***
Comment 10 ign_christian 2013-05-09 08:59:45 UTC
*** Bug 62045 has been marked as a duplicate of this bug. ***
Comment 11 ign_christian 2013-05-09 09:10:18 UTC
*** Bug 49742 has been marked as a duplicate of this bug. ***
Comment 12 ign_christian 2013-05-09 09:15:50 UTC
*** Bug 50982 has been marked as a duplicate of this bug. ***
Comment 13 ign_christian 2013-05-09 09:17:57 UTC
*** Bug 57169 has been marked as a duplicate of this bug. ***
Comment 14 ign_christian 2013-05-09 09:18:50 UTC
*** Bug 47174 has been marked as a duplicate of this bug. ***
Comment 15 ign_christian 2013-05-09 09:47:56 UTC
*** Bug 62074 has been marked as a duplicate of this bug. ***
Comment 16 ign_christian 2013-05-09 10:01:11 UTC
*** Bug 51066 has been marked as a duplicate of this bug. ***
Comment 17 ign_christian 2013-05-09 10:05:46 UTC
*** Bug 64163 has been marked as a duplicate of this bug. ***
Comment 18 Michael Meeks 2013-05-09 10:46:30 UTC
Wow guys - I've never seen such excellent duplicate solving ! thanks so much to bfoman & ign_christian - you rock !

Since there's so much interest in this issue, I also back-ported it to -4-0 and pushed it there; so closing it now.

Thanks Urmas for filing and Sameer for fixing :-)
Comment 19 Commit Notification 2013-05-09 10:55:44 UTC
Sameer Deshmukh committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07a14c901025722bcc0a06c76e83c40985ca01a6&h=libreoffice-4-0

fdo#61060 - Freezing now marks spreadsheet as unsaved.


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 ign_christian 2013-05-09 15:34:35 UTC
Thank you so much.. I've been waiting for solution for this bug since very long time ago..:)

Hope that Bug 59375 also resolved
Comment 21 bfoman (inactive) 2013-05-17 12:16:21 UTC
*** Bug 64706 has been marked as a duplicate of this bug. ***
Comment 22 bfoman (inactive) 2013-05-17 12:24:26 UTC
ign_christian: seems you marked a lot of irrelevant issues as duplicates of this bug. This bug is about saving document state after freeze, not a general freeze issue. Please review them once again and reopen as needed if still reproducible in latest stable version.
Comment 23 ign_christian 2013-05-17 14:34:53 UTC
Sorry if I made mistake. I'll review it later with 4.0.4.1
Comment 24 ign_christian 2013-05-30 14:03:40 UTC
I still can reproduce this bug with XLS file on Bug 62045

LO 4.0.4.1 (Win7 32bit)
Comment 25 ign_christian 2013-06-05 14:56:57 UTC
I'm really sorry again..I didn't read the description carefully.

Changing back the status, confirm fixed on LO 4.0.4.1
Comment 26 Robinson Tryon (qubit) 2015-12-16 00:08:39 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup )
[NinjaEdit]